libmysofa bis 0.6 Calculation hdf/btree.c treeRead erweiterte Rechte

eintrageditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
Aktueller Exploitpreis (≈)
CTI Interest Score
9.4$0-$5k0.00

Es wurde eine sehr kritische Schwachstelle in libmysofa bis 0.6 gefunden. Es betrifft die Funktion treeRead der Datei hdf/btree.c der Komponente Calculation Handler. Durch das Manipulieren mit einer unbekannten Eingabe kann eine erweiterte Rechte-Schwachstelle ausgenutzt werden. Im Rahmen von CWE wurde eine Klassifizierung als CWE-20 vorgenommen. Auswirkungen hat dies auf Vertraulichkeit, Integrität und Verfügbarkeit. Die Zusammenfassung von CVE lautet:

treeRead in hdf/btree.c in libmysofa before 0.7 does not properly validate multiplications and additions.

Gefunden wurde das Problem am 31.03.2019. Die Schwachstelle wurde am 31.03.2019 (Website) publiziert. Bereitgestellt wird das Advisory unter usn.ubuntu.com. Die Identifikation der Schwachstelle wird seit dem 31.03.2019 mit CVE-2019-10672 vorgenommen. Sie ist leicht ausnutzbar. Der Angriff kann über das Netzwerk erfolgen. Zur Ausnutzung ist keine spezifische Authentisierung erforderlich. Es sind zwar technische Details, jedoch kein verfügbarer Exploit zur Schwachstelle bekannt. Ein Exploit zur Schwachstelle wird momentan etwa USD $0-$5k kosten (Preisberechnung vom 23.05.2020).

Ein Aktualisieren auf die Version 0.7 vermag dieses Problem zu lösen.

Produktinfoedit

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 9.8
VulDB Meta Temp Score: 9.4

VulDB Base Score: 9.8
VulDB Temp Score: 9.4
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Klasse: Erweiterte Rechte
CWE: CWE-20
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Nicht definiert

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayunlockunlockunlockunlock
Heuteunlockunlockunlockunlock

Threat Intelligenceinfoedit

Bedrohungslage: 🔍
Gegner: 🔍
Geopolitik: 🔍
Ökonomie: 🔍
Voraussagen: 🔍
Massnahmen: 🔍

Gegenmassnahmeninfoedit

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: libmysofa 0.7

Timelineinfoedit

31.03.2019 🔍
31.03.2019 +0 Tage 🔍
31.03.2019 +0 Tage 🔍
01.04.2019 +1 Tage 🔍
23.05.2020 +418 Tage 🔍

Quelleninfoedit

Advisory: usn.ubuntu.com
Status: Nicht definiert

CVE: CVE-2019-10672 (🔍)

Eintraginfoedit

Erstellt: 01.04.2019 08:11
Aktualisierung: 23.05.2020 10:33
Anpassungen: (2) vulnerability_discoverydate advisory_url
Komplett: 🔍

Kommentare

Might our Artificial Intelligence support you?

Check our Alexa App!